**For graphs BMI age 5
use outpredictors5
drop if bw<0
drop if bmin3<0
drop if smokepreg<0
replace smokepreg=1 if smokepreg>0
replace smokepreg=0 if apcich00==0
label define smokepregla  0 "No" 1 "Yes" 
label values smokepreg smokepregla
drop if unitdrinkpreg<0
rename weightbeforepregnancy weightbefp
svyset sptn00 [pweight=covwt1]
keep if englandallthetime==1
**BMI Boys
quietly svy: regress  bmin3 bw monthofbirth smokepreg weightbefp mombmi1 workpreg working1 parcarers1 marriedcobirth  i.income1 i.brfeed  i.income i.momedu parcarers   working momage regbedtimes mombmi fruitvegonce if female==0

quietly margins, at(smokepreg=(0(1)1)) post
marginsplot, yscale(range(5(10)45) titlegap(1)) ///
ylabel (,labs(small)) ylab(5(5)45) ///
xlabel (,labs(small) alternate) xoverhangs ///
ytitle ("predicted values", size(small) margin(medium)) ///
xtitle (,size(small) margin(medium)) ///
legend (order(1 "No" 2 "Yes") size(small)) ///
title ("Pr. val. of  BMI, Age 5, Boys, Given Smoking In Preg.", size(medium)) subtitle(CI 95%, size(small))
graph save predictBMI5boyssmoke //graph export predictBMI5boyssmoke.tif, replace
quietly svy: regress  bmin3 bw monthofbirth smokepreg weightbefp mombmi1 workpreg working1 parcarers1 marriedcobirth  i.income1 i.brfeed  i.income i.momedu parcarers   working momage regbedtimes mombmi fruitvegonce if female==0

quietly margins, at(mombmi1=(15(10)45)) post
marginsplot, yscale(range(5(10)45) titlegap(1)) ///
ylabel (,labs(small)) ylab(5(5)45) ///
xlabel (,labs(small) alternate) xoverhangs ///
ytitle ("predicted values", size(small) margin(medium)) ///
xtitle (,size(small) margin(medium)) ///
legend (order(1 "No" 2 "Yes") size(small)) /// 
title ("Pr. val. of  BMI, Age 5, Boys, Given Mom’s BMI in sw1, ", size(medium)) subtitle(CI 95%, size(small))
graph save predictBMI5boysmombmi //graph export predictBMI5boysmombmi.tif, replace

**BMI Girls
quietly svy: regress  bmin3 bw monthofbirth smokepreg weightbefp mombmi1 workpreg working1 parcarers1 marriedcobirth  i.income1 i.brfeed  i.income i.momedu parcarers   working momage regbedtimes mombmi fruitvegonce if female==1

quietly margins, at(smokepreg=(0(1)1)) post
marginsplot, yscale(range(5(10)45) titlegap(1)) ///
ylabel (,labs(small)) ylab(5(5)45) ///
xlabel (,labs(small) alternate) xoverhangs ///
ytitle ("predicted values", size(small) margin(medium)) ///
xtitle (,size(small) margin(medium)) ///
legend (order(1 "No" 2 "Yes") size(small)) ///
title ("Pr. val. of  BMI, Age 5, Girls, Given Smoking In Preg.", size(medium)) subtitle(CI 95%, size(small))
graph save predictBMI5girlssmoke //graph export predictBMI5girlssmoke.tif, replace
quietly svy: regress  bmin3 bw monthofbirth smokepreg weightbefp mombmi1 workpreg working1 parcarers1 marriedcobirth  i.income1 i.brfeed  i.income i.momedu parcarers   working momage regbedtimes mombmi fruitvegonce if female==1

quietly margins, at(mombmi1=(15(10)45)) post
marginsplot, yscale(range(5(10)45) titlegap(1)) ///
ylabel (,labs(small)) ylab(5(5)45) ///
xlabel (,labs(small) alternate) xoverhangs ///
ytitle ("predicted values", size(small) margin(medium)) ///
xtitle (,size(small) margin(medium)) ///
legend (order(1 "No" 2 "Yes") size(small)) /// 
title ("Pr. val. of  BMI, Age 5, Girls, Given Mom’s BMI in sw1, ", size(medium)) subtitle(CI 95%, size(small))
graph save predictBMI5girlsmombmi //graph export predictBMI5girlsmombmi.tif, replace

graph combine predictBMI5boyssmoke.gph  predictBMI5boysmombmi.gph, r(2) col(2) altshrink  
graph save predictBMI5boyscombined.gph
graph combine predictBMI5girlssmoke.gph  predictBMI5girlsmombmi.gph, r(2) col(2) altshrink  
graph save predictBMI5girlscombined.gph


